<div class="row">
    <div class="col-md-12 form-group">
        <h6>Status Input Hasil Stock Opname</h6>
        <div class="progress">
            <span class="show">{{statusInputFiltered | number}} item dari {{statusInputAll | number}} item</span>
            <div class="btn-primary progress-bar" role="progressbar" aria-valuenow="60" aria-valuemin="0" aria-valuemax="100" [ngStyle]="{'width': statusInput}">
            </div>
        </div>
    </div>
</div>
<div class="row" *ngIf="statusOpname != 120">
    <div class="col-md-12 form-group">
        <h6>Status Selisih Amount</h6>
        <div class="progress">
            <span class="show">Selisih Amount = Rp. {{statusAmountSelisih | number}} dari Rp. {{statusAmountSystem | number}}</span>
            <div class="btn-primary progress-bar" role="progressbar" aria-valuenow="60" aria-valuemin="0" aria-valuemax="100" [ngStyle]="{'width': statusAmount}">
            </div>
        </div>
    </div>
</div>
<div class="row" *ngIf="statusOpname == 120 || statusOpname == 121">
    <div class="col-md-12 form-group">
        <p-panel header="Input data Stock Opname" showHeader="false">
            <div class="col-md-12">
                <div class="col-md-6">
                    <div class="row">
                        <div class="col-md-6">
                            <p-radioButton name="radioInput" (onClick)="resetInputTemu()" [(ngModel)]="radioInput" value="1" label="{{ 'mpmApp.stockOpnameItem.input' | translate }}" inputId="opt1"></p-radioButton>
                        </div>
                        <div class="col-md-6">
                            <p-radioButton name="radioInput" (onClick)="resetInputTemu()" [(ngModel)]="radioInput" value="0" label="{{ 'mpmApp.stockOpnameItem.found' | translate }}" inputId="opt2"></p-radioButton>
                        </div>
                    </div>
                </div>
                <form #formInput>
                    <div class="col-md-12">
                        <div class="row ui-g">
                            <div class="ui-g-2" *ngIf="radioInput == '1'">
                                <label>{{ 'mpmApp.stockOpnameItem.tagNumber' | translate }}</label>
                                <div class="input-group"></div>
                                <p-autoComplete #acTag name="tagNo" [(ngModel)]="inputTemuan.tag_no" [suggestions]="dataFilterTag" (completeMethod)="filterTag($event)"
                                    field="tagNumber" [size]="30" [forceSelection]="true" [minLength]="1" [inputStyle]="{'width':'100%'}"
                                    (onSelect)="setTag()"></p-autoComplete>
                            </div>
                            <div class="ui-g-2">
                                <label>{{ 'mpmApp.stockOpnameItem.partNo' | translate }}</label>
                                <div class="input-group"></div>
                                <p-autoComplete #acPart name="partNo" [(ngModel)]="inputTemuan.parts_no" [suggestions]="dataFilterPart" (completeMethod)="filterPart($event)"
                                    field="idProduct" [size]="30" [forceSelection]="true" [minLength]="1" [inputStyle]="{'width':'100%'}"
                                    (onSelect)="setPart()"></p-autoComplete>
                            </div>
                            <div class="ui-g-3">
                                <label>{{ 'mpmApp.stockOpnameItem.partName' | translate }}</label>
                                <div class="input-group"></div>
                                <input pInputText type="text" class="ui-inputtext ui-state-default ui-corner-all" style="width:100%" name="partName" [(ngModel)]="inputTemuan.parts_name"
                                    disabled/> </div>
                            <div class="ui-g-2">
                                <label>{{ 'mpmApp.stockOpnameItem.qty' | translate }}</label>
                                <div class="input-group"></div>
                                <input pInputText type="text" class="ui-inputtext ui-state-default ui-corner-all" style="width:100%" name="qty" [(ngModel)]="inputTemuan.qtyCount"
                                /> </div>
                            <div class="ui-g-2" *ngIf="radioInput == '0'">
                                <label>{{ 'mpmApp.stockOpnameItem.location' | translate }}</label>
                                <div class="input-group"></div>
                                <p-autoComplete name="location" [(ngModel)]="inputTemuan.location" [suggestions]="dataFilterLocation" (completeMethod)="filterLocation($event)"
                                    field="facilityDescription" [size]="30" [forceSelection]="true" [minLength]="1" [inputStyle]="{'width':'100%'}"></p-autoComplete>
                            </div>
                            <div class="ui-g-1">
                                <label>&nbsp;</label>
                                <div class="input-group"></div>
                                <button pButton type="button" class="ui-button-secondary" label="{{ 'mpmApp.stockOpnameItem.submit' | translate }}" (click)="addInputTemu()"></button>
                            </div>
                            <!-- <div class="ui-g-1">
                                <label>&nbsp;</label>
                                <div class="input-group"></div>
                                <button pButton type="button" class="ui-button-secondary" label="Clear" (click)="resetInputTemu()"></button>
                            </div> -->
                        </div>
                    </div>
                </form>
            </div>

        </p-panel>
    </div>
</div>
